%define major 3
%define libname %mklibname gadu %{major}
%define develname %mklibname gadu -d

Name:		libgadu
Version:	1.12.2
Release:	%mkrel 3
Summary:	A Gadu-gadu protocol compatible library
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		http://libgadu.net/
Source0:	http://github.com/wojtekka/libgadu/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:		libgadu-1.12.2-mga-multiple-defs.patch
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	doxygen
BuildRequires:	pkgconfig(expat)
BuildRequires:	gsm-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libprotobuf-c)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(zlib)

%description
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.


%package -n %{libname}
Summary:	A Gadu-gadu protocol compatibile library
Group:		Networking/Instant messaging

%description -n %{libname}
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.


%package -n %{develname}
Summary:	Development files for libgadu library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gadu-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname gadu 3 -d} < %{version}-%{release}
Obsoletes:	%{mklibname gadu -s -d} < %{version}-%{release}

%description -n %{develname}
Development files for libgadu library.


%prep
%autosetup -p1
touch packets.proto

%build
%configure \
	--disable-static \
	--with-pthread \
	--without-bind \
	--without-openssl \
	--with-c99-vsnprintf

./protobufgen.sh
%make_build

%check
make check

%install
%make_install

# don't ship .la
rm -f %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue May 12 2020 danf <danf> 1.12.2-3.mga8
+ Revision: 1583330
- Add patch to fix multiple definition errors
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.12.2-2.mga7
+ Revision: 1298854
- Mageia 7 Mass Rebuild

* Sun Feb 12 2017 luigiwalser <luigiwalser> 1.12.2-1.mga6
+ Revision: 1085837
- 1.12.2

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.12.1-2.mga6
+ Revision: 921817
- rebuild for gnutls

* Tue Dec 01 2015 luigiwalser <luigiwalser> 1.12.1-1.mga6
+ Revision: 907503
- 1.12.1

* Wed Oct 15 2014 umeabot <umeabot> 1.12.0-4.mga5
+ Revision: 742069
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.0-3.mga5
+ Revision: 681470
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 diogenese <diogenese> 1.12.0-2.mga5
+ Revision: 672455
- Added check, fixed xml2 build require
- Added check section

* Fri Sep 05 2014 diogenese <diogenese> 1.12.0-1.mga5
+ Revision: 672412
- Updated source to 1.12.0

* Mon May 19 2014 luigiwalser <luigiwalser> 1.11.4-1.mga5
+ Revision: 623847
- 1.11.4

* Mon Feb 10 2014 luigiwalser <luigiwalser> 1.11.3-1.mga5
+ Revision: 589137
- 1.11.3 (fixes CVE-2013-6487)

* Fri Oct 25 2013 luigiwalser <luigiwalser> 1.11.2-6.mga4
+ Revision: 546903
- fix spelling error in package summary (mga#11525)

* Fri Oct 18 2013 umeabot <umeabot> 1.11.2-5.mga4
+ Revision: 506979
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.11.2-4.mga3
+ Revision: 357145
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 kamil <kamil> 1.11.2-3.mga3
+ Revision: 327397
- Rebuild for Mga3 Beta1

* Sat Dec 01 2012 kamil <kamil> 1.11.2-2.mga3
+ Revision: 324594
- rebuild for Mga3 Beta1

* Fri Jul 06 2012 fwang <fwang> 1.11.2-1.mga3
+ Revision: 268361
- new version 1.11.2

* Sun Jan 29 2012 kamil <kamil> 1.11.1-1.mga2
+ Revision: 202876
- new version 1.11.1
+ fwang <fwang>
- rebuild for new gnutls

* Fri Jul 08 2011 ahmad <ahmad> 1.11.0-1.mga2
+ Revision: 120188
- Update to 1.11.0

* Thu Mar 31 2011 ahmad <ahmad> 1.10.1-1.mga1
+ Revision: 79345
- update to 1.10.1
- drop patch0, fixed upstream
- add BR gnutls-devel doxygen

* Thu Mar 24 2011 boklm <boklm> 1.9.1-4.mga1
+ Revision: 76167
- rebuild for bug #497

* Wed Mar 23 2011 ahmad <ahmad> 1.9.1-3.mga1
+ Revision: 76016
- rebuild for new glibc (attempting to fix a crash in kadu)

* Thu Jan 20 2011 ahmad <ahmad> 1.9.1-2.mga1
+ Revision: 26452
- don't ship .la
- drop old/unneeded scriptlets
- imported package libgadu

